code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash # Copyright (c) 2011 The Regents of The University of Michigan # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are # met: redistributions of source code must retain the above copyright # notic...
jlclemon/MEVBench
run.sh
Shell
bsd-3-clause
10,422
ls -cjoanvajoajnwdi && echo hello || echo world #echoes just world because it skips the hello ls -cjoajsdofnvajfp && (echo hello || echo world) #echoes nothing () # empty parentheses, should just do nothing (&&) #parentheses with a connector, should do nothing ls -a && (ls -jaoncijadfjop && echo hello || echo world) #s...
wsull001/rshell
tests/precedence_test.sh
Shell
bsd-3-clause
933
#!/bin/bash export LBL=$1 export TKN=$2 export GIT_BRANCH=$3 cd conda sed s/version_from_shell/`git describe --tags --dirty | sed -e 's/-\(.*\)-g.*/+\1/' -e 's/^[vr]//g' -e 's/dirty/0/'`/ meta.yaml > meta.tmp.yaml mv meta.tmp.yaml meta.yaml cd .. conda install conda-build anaconda-client --yes conda build conda --no-...
jochym/spglib
python/conda/anaconda_deploy.sh
Shell
bsd-3-clause
459
#!/bin/sh set -eux cd "$(dirname "$0")" elm-make --yes --warn --output=elm.js src/Main.elm closure-compiler \ --language_in=ECMASCRIPT5 \ --js=elm.js \ --js_output_file=elm.js.new mv elm.js.new elm.js
lassik/midireactor
build.sh
Shell
bsd-3-clause
213
#!/bin/bash BUILD=true CLEAN=true if [ "${1}" = "dev" ] ; then CLEAN=false elif [ "${1}" = "clean" ] ; then BUILD=false fi if [ $CLEAN = true ] ; then rm *.zip *.xpi > /dev/null 2>&1 rm -rf target > /dev/null 2>&1 fi if [ $BUILD = true ] ; then VERSION=`cat VERSION` mkdir target cp -r Chrome targ...
maniksurtani/CreditCardNanny-Plugins
build.sh
Shell
bsd-3-clause
1,050
#!/bin/sh -e # Distributed under the terms of the BSD License. # Copyright (c) 2011 Phil Cryer phil.cryer@gmail.com # Source https://github.com/philcryer/lipsync PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin if [ -e $CONF_FILE ]; then . $CONF_FILE fi echo "lipsync uninstall script" rm -rf /usr/...
philcryer/lipsync
uninstall.sh
Shell
bsd-3-clause
605
#!/bin/bash cd "$(dirname ${BASH_SOURCE[0]})/.." git submodule update --recursive git submodule sync --recursive git submodule update --recursive
Tom94/tev
scripts/update-submodules.sh
Shell
bsd-3-clause
147
#!/usr/bin/env bash shopt -s nullglob # script de test pour le projet de compilation score=0 score_comp=0 score_out=0 score_test=0 max=0 for f in mytests/*.adb; do echo -n "." asm=mytests/`basename $f .adb`.s rm -f $asm expected=mytests/`basename $f .adb`.out max=`expr $max + 1`; if ./dist/b...
TWal/ENS_adac
test.sh
Shell
bsd-3-clause
1,307
#! /bin/bash # # Smaller/minimal version of wdt_e2e_simple_test.sh # echo "Run from the cmake build dir (or ~/fbcode - or fbmake runtests)" BASEDIR=/tmp/wdtTest_$USER usage=" The possible options to this script are -d base directory to use (defaults to $BASEDIR) " if [ "$1" == "-h" ]; then echo "$usage" exit 0 ...
nikunjy/wdt
wdt_e2e_simple_test.sh
Shell
bsd-3-clause
4,779
#!/bin/bash echo "-------------------Checking packages-----------------------" sudo easy_install pip sudo easy_install virtualenv # Install npm brew install npm # Install less compiler sudo npm install -g less # Install coffee-script compiler sudo npm install -g coffee-script echo "----------------------------...
DotNetAge/freezes
docs/zh-cn/quick-started/mac-install.sh
Shell
bsd-3-clause
1,230
#!/bin/sh ./runtest.sh sdljava.example.spaceinvaders.SpaceInvaders $@
a7xr/dvl_java
java_eclipse/jar_extension/sdljava-0.9.1/bin/space-invaders.sh
Shell
mit
71
#!/bin/bash FN="MafDb.ExAC.r1.0.hs37d5_3.10.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.11/data/annotation/src/contrib/MafDb.ExAC.r1.0.hs37d5_3.10.0.tar.gz" "https://bioarchive.galaxyproject.org/MafDb.ExAC.r1.0.hs37d5_3.10.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-mafdb.exac.r1.0....
roryk/recipes
recipes/bioconductor-mafdb.exac.r1.0.hs37d5/post-link.sh
Shell
mit
1,501
#! /bin/bash # is-spammer.sh: Identifying spam domains # $Id: is-spammer, v 1.4 2004/09/01 19:37:52 mszick Exp $ # Above line is RCS ID info. # # This is a simplified version of the "is_spammer.bash #+ script in the Contributed Scripts appendix. # is-spammer <domain.name> # Uses an external program: 'dig' # Tested ...
yimng/LEARN
abs/16/is-spammer.sh
Shell
mit
3,734
#!/usr/bin/env zsh emulate -L zsh BUILD=build FINELI_DB=Fineli_Rel18_open DATABASE=$BUILD/fineli.db [[ -f $DATABASE ]] && rm $DATABASE (cd data/${FINELI_DB}; mv specdiet.csv foodspecdiet.csv) 2>/dev/null print "Importing csv files into database..." typeset -a tables skip=(_FI _SV _TX) for table in data/${FINELI_D...
mafredri/fineli2sql
process.sh
Shell
mit
1,178
#!/usr/bin/bash # Configuration stuff fspec=/mnt/nfs6/wikipedia.proj/jmp/rawdata/osm/x_ne.csv outfile=/mnt/nfs6/wikipedia.proj/jmp/rawdata/osm/nechunk/xx_ne num_files=20 # Work out lines per file. total_lines=$(cat ${fspec} | wc -l) ((lines_per_file = (total_lines + num_files - 1) / num_files)) # Split the actual ...
dalek2point3/jmpscripts
shell/splitfile.sh
Shell
mit
516
#!/bin/bash sqlite3 db_seabus.db 'attach "../orig.db" as orig; insert into boats select * from orig.boats; insert into telemetry select * from orig.telemetry;'
rsalmond/seabus
loaddb.sh
Shell
mit
161
# Vagrant zsh aliases alias vgu='vagrant up' alias vgd='vagrant destroy' alias vgr='vagrant reload' alias vgrp='vagrant reload --provision' alias vgh='vagrant halt' alias vgs='vagrant ssh' alias vgst='vagrant status' alias vgsu='vagrant suspend' alias vgsh='vagrant share' alias vgl='vagrant login' alias vgp='vagrant pr...
robr3rd/dot-files
shared/.oh-my-zsh/plugins/vagrant-alias/vagrant-alias.plugin.zsh
Shell
mit
501
#!/bin/bash # 安装nginx # root 权限 if [ "$(id -u)" != "0" ]; then echo "This script must be run as root" 1>&2 exit 1 fi # nginx依赖 #必选依赖 # OpenSSL library version between 1.0.2 - 1.1.0 # Zlib library version between 1.1.3 - 1.2.11 # PCRE library version between 4.4 - 8.40 # GCC Compiler # #可选依赖 # PERL # LIBATOMIC_OPS # L...
VarDking/study
script-tools/nginx.sh
Shell
mit
2,926
g++ TestBamtoolsAPI.cpp utility.cpp -I ~/Bin/MyPipe/VariantDetect/bin/Genotyping/third_party/pezmaster31-bamtools-7f8b301/include -L ~/Bin/MyPipe/VariantDetect/bin/Genotyping/third_party/pezmaster31-bamtools-7f8b301/lib -o TestBamtoolsAPI -lz -lbamtools echo "Complie Complete" export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:~...
ShujiaHuang/AsmVar
src/AsmvarBaseStat/TestBamtools/Test.sh
Shell
mit
436
#!/bin/sh # Overwrite plot-vcfstats with updated version curl https://raw.githubusercontent.com/samtools/bcftools/44c660490411cbc0611e405a8ebf3faa0d65c544/misc/plot-vcfstats -o misc/plot-vcfstats sed -i.bak 's@^#!/usr/bin/perl -w@#!/opt/anaconda1anaconda2anaconda3/bin/perl@' misc/vcfutils.pl ./configure --prefix=$PRE...
jerowe/bioconda-recipes
recipes/bcftools/build.sh
Shell
mit
383
#!/system/bin/sh bb=/data/local/tmp/busybox if [ ! -f $bb ]; then bb= fi mount -o remount,rw /system $bb mount -o remount,rw /system $bb chattr -aiA /system/bin/su $bb chattr -aiA /system/xbin/su $bb chattr -aiA /system/xbin/supolicy $bb chattr -aiA /system/xbin/ddexe $bb chattr -aiA /system/xbin/ddexe_real $bb ...
keulraesik/su
script/unroot.sh
Shell
gpl-2.0
1,603
#!/bin/bash # Stop on error. set -e npm run build cp README.md dist/. cp package.json dist/. cp package-lock.json dist/. cp index.html dist/. # remove the private field of the package json sed -i -e '/"private": true,/d' dist/package.json # fix the bundle path sed -i -e 's/src="dist\//src="/' dist/index.html if [ ...
DeDiS/cothority
external/js/cothority/publish.sh
Shell
gpl-2.0
567
#!/bin/sh /etc/rc.common # post `wifissid' and `wifipwd' from /etc/config/drcomrc to `/etc/config/wireless' # GPL v2 # (C) leetking <li_Tking@163.com> # locate at /overlay/Drcom4CWNU/wr2wireless.sh DRCOMRC=drcomrc SECTION_NAME=setting PATH=$PATH:/sbin/ parse_conf() { local wifissid local wifipwd config_g...
leetking/cwnu-drcom
openwrt/scripts/wr2wireless.sh
Shell
gpl-2.0
875
#!/bin/sh # Copyright (C) 2008-2013 Red Hat, Inc. All rights reserved. # # This copyrighted material is made available to anyone wishing to use, # modify, copy, or redistribute it subject to the terms and conditions # of the GNU General Public License v.2. # # You should have received a copy of the GNU General Public L...
akiradeveloper/lvm2
test/shell/process-each-lv.sh
Shell
gpl-2.0
15,490
#!/bin/sh # # Xerces-J2 constants script # JPackage Project (http://www.jpackage.org/) # $Id: xerces-j2-constants.sh,v 1.3 2005/05/26 14:21:22 gbenson Exp $ # Source functions library . /usr/share/java-utils/java-functions # Configuration MAIN_CLASS=org.apache.xerces.impl.Constants # Set parameters set_jvm export C...
jiangtao9999/MagicSPECS
SPECS.x/xerces-j2/xerces-j2-constants.sh
Shell
gpl-2.0
430
# 700_create_efibootimg.sh is_true $USING_UEFI_BOOTLOADER || return # empty or 0 means NO UEFI # Calculate exact size of EFI virtual image (efiboot.img): # Get size of directory holding EFI virtual image content. # The virtual image must be aligned to 32MiB blocks # therefore the size of directory is measured in 32...
aussendorf/rear
usr/share/rear/output/ISO/Linux-i386/700_create_efibootimg.sh
Shell
gpl-3.0
1,170
#!/bin/bash # disable OAI polling su -c "psql proai -c \"UPDATE rcAdmin SET pollingEnabled = 0;\"" postgres sleep 10 export FEDORA_HOME="/var/www/fedora" mkdir -p /app/flat/tmp echo "START: `date --rfc-3339=seconds`" if [ -f /app/flat/tmp/log ]; then rm /app/flat/tmp/log fi for DIR in `find /app/flat/fox/ -type d ...
TheLanguageArchive/FLAT
docker/add-proai-to-flat/flat/scripts/do-2-import.sh
Shell
gpl-3.0
1,469
#!/usr/bin/env bash set -e PROJECT="consul" PROJECT_URL="www.consul.io" FASTLY_SERVICE_ID="7GrxRJP3PVBuqQbyxYQ0MV" FASTLY_DICTIONARY_ID="7d0yAgSHAQ2efWKeUC3kqW" # Ensure the proper AWS environment variables are set if [ -z "$AWS_ACCESS_KEY_ID" ]; then echo "Missing AWS_ACCESS_KEY_ID!" exit 1 fi if [ -z "$AWS_SEC...
youhong316/consul
website/scripts/deploy.sh
Shell
mpl-2.0
5,688
#!/bin/bash { echo "Usage: `basename $0` $(basename $0)" } > /dev/null a=" 123" echo "|"$a"|"
cxsjabc/basic
bash/_basic/common.sh
Shell
agpl-3.0
98
#!/bin/bash sudo service php5-fpm restart if [ "${RTORRENT_PORT_5000_TCP_ADDR}" ] ; then ip="${RTORRENT_PORT_5000_TCP_ADDR}" port="5000" else ip="${RTORRENT_IP}" port="${RTORRENT_PORT}" fi if [ "${ip}" ] && [ "${port}" ] ; then sed -i "s/scgi_pass .*\$/scgi_pass ${ip}:${port};/g" /etc/nginx/sites-enabled/defaul...
inn1983/docker-builder
net-p2p/rutorrent/3.6/start.sh
Shell
lgpl-3.0
532
#!/bin/bash -x export VCOMPUTE=("${NODE_NAME}-Rinjin1","${NODE_NAME}-Rinjin2","${NODE_NAME}-Quanta") VCOMPUTE="${VCOMPUTE}" if [ -z "${VCOMPUTE}" ]; then VCOMPUTE=("jvm-Quanta_T41-1" "jvm-vRinjin-1" "jvm-vRinjin-2") fi VCOMPUTE+=("${NODE_NAME}-ova-for-post-test") cleanupVMs(){ vagrantDestroy # Suspend any ot...
changev/on-build-config
jobs/FunctionTest/cleanup.sh
Shell
apache-2.0
3,316
#!/bin/bash # Copyright 2017-2020 Authors of Cilium # SPDX-License-Identifier: Apache-2.0 set -o xtrace set -o errexit set -o pipefail set -o nounset HELM_VERSION=3.3.4 TARGETPLATFORM="${1}" target="$(echo "${TARGETPLATFORM}" | tr / -)" curl --fail --show-error --silent --location \ "https://get.helm.sh/helm...
cilium-team/cilium
images/cilium-test/install-helm.sh
Shell
apache-2.0
509
#!/usr/bin/env bash # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software #...
eshnil2000/devstack
tests/test_libs_from_pypi.sh
Shell
apache-2.0
2,766
#!/bin/bash load ../helpers MESOS_CLUSTER_ENTRYPOINT=${MESOS_CLUSTER_ENTRYPOINT:-0.0.0.0:5050} # Start the swarm manager in background. function swarm_manage_mesos() { "$SWARM_BINARY" -l debug manage -H "$SWARM_HOST" --cluster-driver mesos $MESOS_CLUSTER_ENTRYPOINT & SWARM_PID=$! wait_until_reachable "$SWARM_HOST...
abronan/swarm
test/integration/mesos/mesos_helpers.bash
Shell
apache-2.0
324
#!/bin/bash ./run-bnfc.sh ./run-cup.sh ./run-jflex.sh mvn clean compile
CrispOSS/jabsc
build.sh
Shell
apache-2.0
73
# Despite the naming of this file and these functions, this file is # not inherently related to Builder; that is simply an artifact of the # history of this repository. This file should ultimately be used by # all the Rust-based packages in this repository, since many of them # duplicate the code here. pkg_version() {...
georgemarshall/habitat
support/ci/builder-base-plan.sh
Shell
apache-2.0
1,593
#!/bin/bash set -e # Files created by Elasticsearch should always be group writable too umask 0002 run_as_other_user_if_needed() { if [[ "$(id -u)" == "0" ]]; then # If running as root, drop to specified UID and run command exec chroot --userspec=1000 / "${@}" else # Either we are running in Openshift...
coding0011/elasticsearch
distribution/docker/src/docker/bin/docker-entrypoint.sh
Shell
apache-2.0
4,177
# for ThingsBoard Cloud # Send HTTP attributes request curl -v -X GET https://thingsboard.cloud/api/v1/$ACCESS_TOKEN/attributes/updates?timeout=20000 # for local ThingsBoard # Send subscribe attributes request with 20 seconds timeout curl -v -X GET http://localhost:8080/api/v1/$ACCESS_TOKEN/attributes/updates?timeo...
volodymyr-babak/thingsboard.github.io
docs/edge/reference/resources/http-attributes-subscribe.sh
Shell
apache-2.0
328
#!/bin/bash set -euxo pipefail rm -rf /tmp/rustc-pgo python3 ../x.py build --target=$PGO_HOST --host=$PGO_HOST \ --stage 2 library/std \ --rust-profile-generate=/tmp/rustc-pgo \ --llvm-profile-generate # Profile libcore compilation in opt-level=0 and opt-level=3 RUSTC_BOOTSTRAP=1 ./build/$PGO_HOST/stage...
eminence/rust
src/ci/pgo.sh
Shell
apache-2.0
2,351
#!/bin/bash # # All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in w...
rdo-infra/ci-config
ci-scripts/infra-cleanup/ovb-tenant-cleanup.sh
Shell
apache-2.0
11,371
#!/usr/bin/env bash # shellcheck disable=SC2143,SC1083,SC2002,SC2126 # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to Y...
JonZeolla/metron-bro-plugin-kafka
docker/scripts/split_kafka_output_by_log.sh
Shell
apache-2.0
3,085
#!/bin/bash # Update the version for for all droolsjbpm repositories initializeWorkingDirAndScriptDir() { # Set working directory and remove all symbolic links workingDir=`pwd -P` # Go the script directory cd `dirname $0` # If the file itself is a symbolic link (ignoring parent directory links), ...
bernardator/droolsjbpm-build-bootstrap
script/release/update-version-all.sh
Shell
apache-2.0
4,244
#!/bin/sh gcc -c ghdlserver.c ghdl -a Utility_Package.vhdl && ghdl -a Vhpi_Package.vhdl
ambikeshwar1991/nghdl
src/ghdlserver/compile.sh
Shell
bsd-2-clause
92
#!/bin/bash if [[ $(git rev-parse --abbrev-ref HEAD) != master ]]; then echo "We are not on the master branch. Aborting..." exit 1 fi if [[ ! -z $(git status -s) ]]; then echo "'git status' show there are some untracked/uncommited changes. Aborting..." exit 1 fi if grep -e "^v" CHANGES.rst >/dev/null; t...
bjodah/sym
scripts/check_clean_repo_on_master.sh
Shell
bsd-2-clause
532
#!/bin/sh set -e OMEGAUP_ROOT=`/usr/bin/git rev-parse --show-toplevel` "${OMEGAUP_ROOT}/vendor/bin/phpunit" \ --bootstrap "${OMEGAUP_ROOT}/frontend/tests/bootstrap.php" \ --configuration "${OMEGAUP_ROOT}/frontend/tests/phpunit-coverage.xml" \ "${OMEGAUP_ROOT}/frontend/tests/controllers/"
samdsmx/omegaup
stuff/coverage.sh
Shell
bsd-3-clause
295
yaccviso tranquil.y dot -Tpng depgraph.dot -o depgraph.png dot -Tsvg depgraph.dot -o depgraph.svg dot -Tpng y.dot -o y.png dot -Tsvg y.dot -o y.svg rm depgraph.vcg
fjolnir/Tranquil
Docs/UnusedOld/makegraph.sh
Shell
bsd-3-clause
165
#! /bin/sh make distclean make clean make METHOD=1 sleep 15 ./Bench -m run --compare= --name=rb make clean make METHOD=2 sleep 15 ./Bench -m run --compare= --name=ll ./Bench -m graph --compare=rb,ll
kazu-yamamoto/llrbtree
bench/insert/bench.sh
Shell
bsd-3-clause
203
#!/bin/bash . ../assert.sh FLOW=$1 cp lib/lib.js lib/lib.js.orig # This should not cause the Flow server to die assert_ok "$FLOW" force-recheck --no-auto-start lib/lib.js echo "first status, after recheck" assert_errors "$FLOW" status --no-auto-start 2>/dev/null # This also should not cause the Flow server to die to...
claudiopro/flow
tests/modified_lib/test.sh
Shell
mit
1,579
#!/usr/bin/env sh set -e sessionid=$1 meshIp=$2 ipv4=$3 ipv4gateway=$4 cidr4=$5 ipv6=$6 ipv6gateway=$7 cidr6=$8 interface4=$9 interface6=$10 source /opt/transitd/include.sh if [ -e "$backupfile" ]; then -- TODO: fix this, write proper undo cat $backupfile | uci import network rm $backupfile fi uci commit networ...
transitd/transitd
lede/opt/transitd/disconnect.sh
Shell
mit
386
#!/bin/bash # #FILE # bulkops.sh #PURPOSE # Provide a baseline test suite for the idnsAdmin interface # Bulk Operations tab #AUTHOR # (C) 2008 Hugo Urquiza for Unixservice. #USAGE # ./bulkops.sh <login> <password> <url> # #Check command line arguments cLogin=$1; cPasswd=$2; cURL=$3; if [ "$cLogin" = "" ] || [ "$cPass...
unxs0/unxsVZ
unxsBind/interfaces/admin/tests/bulkops.sh
Shell
gpl-2.0
1,186
# Install/unInstall package files in LAMMPS # mode = 0/1/2 for uninstall/install/update mode=$1 # enforce using portable C locale LC_ALL=C export LC_ALL # arg1 = file, arg2 = file it depends on action () { if (test $mode = 0) then rm -f ../$1 elif (! cmp -s $1 ../$1) then if (test -z "$2" || test -e ../...
jeremiahyan/lammps
src/GPU/Install.sh
Shell
gpl-2.0
7,678
#!/usr/bin/env bash # This file is part of The RetroPie Project # # The RetroPie Project is the legal property of its developers, whose names are # too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source. # # See the LICENSE.md file at the top-level directory of this distribution ...
j-r0dd/RetroPie-Setup
scriptmodules/libretrocores/lr-gpsp.sh
Shell
gpl-3.0
1,274
#!/bin/bash -eu # Copyright 2020 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agree...
skia-dev/oss-fuzz
projects/snappy/build.sh
Shell
apache-2.0
849
#!/bin/bash # Copyright 2016 The Bazel Authors. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by a...
spxtr/bazel
src/test/shell/bazel/client_test.sh
Shell
apache-2.0
1,342
#!/bin/sh set -e VERSION=$1 PGP_KEYID=$2 if [ "x$PGP_KEYID" = "x" ]; then echo "try with $0 VERSION PGP_KEYID" echo "example: $0 3.0.4 9D1C0E79" exit fi if ! head -3 NEWS | grep -q "Version $VERSION .released `date -I`"; then echo "You need to update date/version in NEWS" exit fi if ! head -10 src/src.p...
Yubico/yubikey-personalization-gui
do-source-release.sh
Shell
bsd-2-clause
1,423
#!/bin/bash echo -e "Running example...\n" &&\ ################# pip install -r requirements.txt &&\ ################# python manage.py syncdb --noinput &&\ python -m app.init ...
jperelli/django-settings
example/run_example.sh
Shell
bsd-3-clause
614
#!/bin/bash set -e declare -A aliases aliases=( [1.8]='1' [2.5]='2' [3.3]='3 latest' ) cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" versions=( */ ) versions=( "${versions[@]%/}" ) url='git://github.com/nodejs/docker-iojs' echo '# maintainer: io.js Docker team <https://github.com/nodejs/docker-iojs> (@iojs)' ...
nodejs/docker-iojs
generate-stackbrew-library.sh
Shell
mit
958
#!/bin/bash # Check if user is root if [ "$EUID" -ne 0 ] then echo "Please run as root" exit fi # Clear the screen reset # Install GIT apt-get -y install git
AllGray/CHIPinstaller
HL_Installers/git.sh
Shell
mit
165
#!/usr/bin/env bash GH_REPO="@github.com/librenms-docs/librenms-docs.github.io.git" FULL_REPO="https://${GH_TOKEN}$GH_REPO" THEME_REPO="https://github.com/librenms-docs/theme_v2.git" if [ "$EXECUTE_BUILD_DOCS" != "true" ]; then echo "Doc build skipped" exit 0 fi pip install --user --quiet 'jinja2<2.9' pip ins...
geordish/librenms
scripts/deploy-docs.sh
Shell
gpl-3.0
1,051
#!/usr/bin/env bash # A simple helper script to run composer # useful if your dev host environment doesn't have PHP # on windows replace $PWD with your working repo root folder docker run --rm \ --volume $PWD:/app \ composer install --ignore-platform-reqs --optimize-autoloader
PeterMis/xibo-cms
build-composer.sh
Shell
agpl-3.0
286
#!/usr/bin/env bash echo "826214" | sudo -S cp /usr/local/hadoop-0.20.1-dev/hosts /etc/
submergerock/avatar-hadoop
build/hadoop-0.20.1-dev/bin/config_hosts.sh
Shell
apache-2.0
88
#!/bin/sh . ./test-lib.sh t_plan 4 "write-on-close tests for funky response-bodies" t_begin "setup and start" && { rainbows_setup rainbows -D -c $unicorn_config write-on-close.ru rainbows_wait_start } t_begin "write-on-close response body succeeds" && { test xGoodbye = x"$(curl -sSf --http1.0 http://$listen/)" } ...
benmyles/rainbows-gc
t/t0025-write-on-close.sh
Shell
gpl-2.0
428
#! /bin/sh # Copyright (C) 2011-2015 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
hika-server/automake
t/java-sources.sh
Shell
gpl-2.0
1,372
pybabel extract -F ./babel/babel.cfg -k lazy_gettext -o ./babel/messages.pot flask_appbuilder pybabel update -i ./babel/messages.pot -d flask_appbuilder/translations pybabel compile -d flask_appbuilder/translations
dpgaspar/Flask-AppBuilder
scripts/babel_extract.sh
Shell
bsd-3-clause
217
#!/bin/bash # # Copyright 2014 Jérôme Gasperi # # Licensed under the Apache License, version 2.0 (the "License"); # You may not use this file except in compliance with the License. # You may obtain a copy of the License at: # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed...
cgi-eoss/fstep
third-party/resto/_scripts/postResource.sh
Shell
agpl-3.0
1,575
#!/usr/bin/env bash # Copyright © 2013 Christian Persch # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # # This progr...
pjm0616/vte
src/test-vte-sh.sh
Shell
lgpl-2.1
3,627
#!/bin/bash # Generate a very minimal filesystem based on busybox-static, # and load it into the local docker under the name "docker-ut". missing_pkg() { echo "Sorry, I could not locate $1" echo "Try 'apt-get install ${2:-$1}'?" exit 1 } BUSYBOX=$(which busybox) [ "$BUSYBOX" ] || missing_pkg busybox busyb...
jpetazzo/docker
contrib/mkimage-unittest.sh
Shell
apache-2.0
1,378
#!/bin/sh -ex # Download the docker image that contains flatpak build dependencies docker pull citraemu/build-environments:linux-flatpak
MerryMage/citra
.travis/linux-flatpak/deps.sh
Shell
gpl-2.0
138
#!/usr/bin/env bash # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "Lice...
mdespriee/spark
resource-managers/kubernetes/integration-tests/dev/dev-run-integration-tests.sh
Shell
apache-2.0
2,976
#!/bin/bash # configs/olimex-lpc1766stk/nx/setenv.sh # # Copyright (C) 2010 Gregory Nutt. All rights reserved. # Author: Gregory Nutt <gnutt@nuttx.org> # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # # 1. Redist...
gcds/project_xxx
nuttx/configs/olimex-lpc1766stk/nx/setenv.sh
Shell
bsd-3-clause
3,242
#! /bin/sh SIZE=`wc -c < tests/test-insmod/02simple.sh` # Old options are ignored. [ "`insmod -p tests/test-insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ] [ "`insmod -s tests/test-insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ] [ "`insmod -f tests/test-insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ] [ "`insmod -p -f -s ...
zhang-xin/kdi
usermode/module-init-tools-3.12/tests/test-insmod/03options.sh
Shell
gpl-2.0
745
#!/usr/bin/env bash set -x -e set_conf_property() { local key=${1} local value=${2} sudo sed -i -e "s/^#\?${key}.*/${key} = ${value}/g" ${PG_DATADIR}/postgresql.conf } if [ "${REPLICATION}" = "Y" ] then if [ "${PG_VERSION}" = "HEAD" ] then PG_VERSION="9.5" fi if (( $(echo "${PG_V...
lordnelson/pgjdbc
.travis/travis_configure_replication.sh
Shell
bsd-2-clause
969
#!/usr/bin/env bash echo "Please run this script from the docs app folder." echo "Make sure you have phantomjs installed!" DOCS_FOLDER=$(pwd); METEOR_FOLDER=$(dirname ${DOCS_FOLDER}); # make temporary folder mkdir /tmp/docsdiff cd /tmp/docsdiff # trigger phantomjs to give us actual HTML curl "localhost:3000/?_escape...
lorensr/meteor
docs/canonically_diff_docs.sh
Shell
mit
1,205
#!/bin/sh # # Copyright (c) 2005 Junio C Hamano # test_description='Pathspec restrictions Prepare: file0 path1/file1 ' . ./test-lib.sh . "$TEST_DIRECTORY"/diff-lib.sh ;# test-lib chdir's into trash test_expect_success \ setup \ 'echo frotz >file0 && mkdir path1 && echo rezrov >path1...
ratnikov/git
t/t4010-diff-pathspec.sh
Shell
gpl-2.0
2,014
#!/bin/bash # # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License");...
digital-abyss/curator
curator-x-rpc/src/main/scripts/apply-thrift.sh
Shell
apache-2.0
1,223
# Migrate .zsh-update file to $ZSH_CACHE_DIR if [[ -f ~/.zsh-update && ! -f "${ZSH_CACHE_DIR}/.zsh-update" ]]; then mv ~/.zsh-update "${ZSH_CACHE_DIR}/.zsh-update" fi # Cancel update if: # - the automatic update is disabled. # - the current user doesn't have write permissions nor owns the $ZSH directory. # - git is ...
alienth/oh-my-zsh
tools/check_for_upgrade.sh
Shell
mit
2,794
#!/bin/sh export PATH=/sbin:/bin:/usr/sbin:/usr/bin strstr() { [ "${1##*"$2"*}" != "$1" ]; } CMDLINE=$(while read line || [ -n "$line" ]; do echo $line;done < /proc/cmdline) plymouth --quit exec >/dev/console 2>&1 echo "dracut-root-block-success" >/dev/sda1 export TERM=linux export PS1='initramfs-test:\w\$ ' [ -f /etc/...
xnox/dracut
test/TEST-17-LVM-THIN/test-init.sh
Shell
gpl-2.0
551
#!/bin/sh dialog -h 2> /dev/null if [ $? != 0 ]; then if [ "`uname`" = Darwin ]; then brew install dialog || exit 1 else echo "Cannot find dialog in PATH" > /dev/stderr exit 1 fi fi CaptureOutput="2>.nconfig.tmp" GetOutput() { cat .nconfig.tmp } Todo() { dialog --infobox "$1" 0 0 sleep 2 } MainMenu() { ...
NaveenBoggarapu/radare2
sys/menu.sh
Shell
lgpl-3.0
4,529
USING_GPU_UTILIZATION=1 USING_MMU=1 USING_UMP=1 BUILD=debug CONFIG=sc8825 TARGET_PLATFORM=sc8825 KDIR=../../../../../../../out/target/product/sp8825ea/obj/KERNEL make $1
regalstreak/S7262-Kernel
drivers/gpu/mali/mali/build.sh
Shell
gpl-2.0
170
#!/bin/sh test_description='diff.*.textconv tests' . ./test-lib.sh find_diff() { sed '1,/^index /d' | sed '/^-- $/,$d' } cat >expect.binary <<'EOF' Binary files a/file and b/file differ EOF cat >expect.text <<'EOF' --- a/file +++ b/file @@ -1 +1,2 @@ 0 +1 EOF cat >hexdump <<'EOF' #!/bin/sh "$PERL_PATH" -e '$/ = ...
abg1979/git
t/t4030-diff-textconv.sh
Shell
gpl-2.0
4,043
#! /bin/sh if test -z "$AWK"; then AWK=awk fi if test -z "$srcdir"; then srcdir=. fi LC_ALL=C export LC_ALL rm -f term.h cat << EOF > term.h /* * This file is automagically created from term.c -- DO NOT EDIT */ #define T_FLG 0 #define T_NUM 1 #define T_STR 2 struct term { char *tcname; int type; }; unio...
AskDrCatcher/GScreen
term.sh
Shell
gpl-2.0
2,963
R CMD REMOVE --library=$PREFIX/lib/R/library/ mvoutData
joachimwolff/bioconda-recipes
recipes/bioconductor-mvoutdata/pre-unlink.sh
Shell
mit
56
#!/usr/bin/env bash ########################################################################### # qgis_srs.sh # --------------------- # Date : August 2009 # Copyright : (C) 2009 by Magnus Homann # Email : magnus at homann dot se ##################################...
PeterPetrik/QGIS
scripts/qgis_srs.sh
Shell
gpl-2.0
8,621
#! /bin/sh # # Copyright (c) 2003, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the Free S...
stain/jdk8u
test/java/util/Formatter/genBasic.sh
Shell
gpl-2.0
2,274
#!/bin/bash -e # # This script rebuilds the generated code for the protocol buffers. # To run this you will need protoc and goprotobuf installed; # see https://github.com/golang/protobuf for instructions. PKG=google.golang.org/appengine function die() { echo 1>&2 $* exit 1 } # Sanity check that the right tools are...
ae6rt/decap
web/vendor/google.golang.org/appengine/internal/regen.sh
Shell
mit
1,179
#!/bin/bash source "$(dirname "${BASH_SOURCE}")/lib/init.sh" echo "===== Verifying Generated OpenAPI =====" if ! output=`${OS_ROOT}/hack/update-generated-openapi.sh --verify-only 2>&1` then echo "FAILURE: Verification of openapi failed:" echo "$output" exit 1 fi # ex: ts=2 sw=2 et filetype=sh
rawlingsj/gofabric8
vendor/github.com/openshift/origin/hack/verify-generated-openapi.sh
Shell
apache-2.0
303
#!/bin/bash # SPDX-License-Identifier: GPL-2.0 #exit status #1: Internal error #2: sysfs/debugfs not mount #3: insert module fail when gpio-mockup is a module. #4: Skip test including run as non-root user. #5: other reason. SYSFS= GPIO_SYSFS= GPIO_DRV_SYSFS= DEBUGFS= GPIO_DEBUGFS= dev_type= module= # Kselftest frame...
tmshlvck/omnia-linux
tools/testing/selftests/gpio/gpio-mockup.sh
Shell
gpl-2.0
4,222
#!/bin/sh # share/applications/gnome-vlc-default.sh # $Id$ # # Copyright (C) 2006, VideoLAN team # Authors: Torsten Spindler # Jean-Paul Saman <jpsaman _at_ videolan dot org> # # Set vlc as default player on the gnome desktop # Tested on Ubuntu 6.10 Edgy # GCONFTOOL=gconftool if test -x /usr/bin/gconftool; the...
pddthinh/android-vlc
vlc/share/utils/gnome-vlc-default.sh
Shell
gpl-2.0
873
#!/usr/bin/env bash # # Create a base CentOS Docker image. # # This script is useful on systems with yum installed (e.g., building # a CentOS image on CentOS). See contrib/mkimage-rinse.sh for a way # to build CentOS images on other systems. usage() { cat <<EOOPTS $(basename $0) [OPTIONS] <name> OPTIONS: -y <yu...
openshift/dockerexec
vendor/src/github.com/docker/docker/contrib/mkimage-yum.sh
Shell
apache-2.0
2,708
#!/bin/bash if test -f linux.iso ; then mount -o loop linux.iso /mnt tar -zxf $(ls /mnt/VMwareTools-*.tar.gz) cd vmware-tools-distrib # install with defaults ./vmware-install.pl --default # cleanup umount /mnt cd .. rm -Rf vmware-tools-distrib rm linux.iso # configure again and make sure the ker...
janschumann/debian-images
scripts/vmware.sh
Shell
mit
454
#!/bin/bash MAKEWORDS=/usr/local/share/angort/makeWords.pl function makewords { mkdir -pv ../libs perl $MAKEWORDS $1.cpp >$1.plugin.cpp }
jimfinnis/angortplugins
base.sh
Shell
mit
149
docker run -d -p 8080:5000 penneo/huboard-app
ahmadnazir/environments
huboard/app/run.sh
Shell
mit
46
#args: <input directory> <file prefix> <filecount> <tnt model directory> pwd #Step 1: Iterate through all files, clean up and create XML version for f in $1/*.txt do if [ -d "$f" ]; then echo "Skipping: $f" else echo "Processing: $f" #echo "Converting line endings to unix..." #fromdos $f #fix broke...
bertugatt/textmt
textmt/utils/createWordList.sh
Shell
mit
1,398
CLIDOC_MAIN_PATH="../../build/src/clidoc_main" ${CLIDOC_MAIN_PATH} --debug $1
clidoc/clidoc
test/test_docs/debug.sh
Shell
mit
78
$JFLEX_HOME/bin/jflex --skel $JFLEX_HOME/idea-flex.skeleton --charat --nobak src/com/surfront/sieve/plugin/parser/Sieve.flex
qingshan/idea-sieve
jflex.sh
Shell
mit
125
#!/bin/bash filename=/var/www/html/weewx/index.html if [[ $(find "$filename" -mmin +10) ]]; then service weewx restart touch "$filename" fi
nkizz/MarshwoodWX
restart_weewx.sh
Shell
mit
148
#!/bin/bash # This script is meant to be called by the "install" step defined in # .travis.yml. See http://docs.travis-ci.com/ for more details. # The behavior of the script is controlled by environment variabled defined # in the .travis.yml in the top level folder of the project. set -e sudo apt-get update -qq if [[...
timmeinhardt/ProxImaL
continuous_integration/install.sh
Shell
mit
1,972
#!/bin/sh rm $0 ./country_names echo " ------------------ (program exited with code: $?)" echo "Press return to continue" #to be more compatible with shells like dash dummy_var="" read dummy_var
cepei/actores-y-datos
app/network-viz/data/geany_run_script.sh
Shell
mit
204
#!/usr/bin/env bash # update system sudo apt update sudo apt upgrade -y # install snap if missing if [ -z "$(which snap)" ]; then sudo apt install snapd echo "Please logout update the path then re-run the script" exit 0 fi export CONFIG_HOME=$(dirname $(readlink -f $0)) # install configs and softwares INSTAL...
chipp972/.dotfiles
install.sh
Shell
mit
817
#!/bin/bash log() { echo "$1" /usr/bin/logger -t "NoMAD Installer:" "$1" } log "Installing NoMAD.app" tempDir=$(/usr/bin/mktemp -d -t "NoMAD_Installer") cleanUp() { log "Performing cleanup tasks..." /bin/rm -r "$tempDir" } trap cleanUp exit loggedInUserPid=$(python -c 'from SystemConfiguration impo...
mattlavine/JamfProScripts
Install NoMAD.sh
Shell
mit
2,619